CBMSTUFF FORUM
Possible to downgrade firmware? - Printable Version

+- CBMSTUFF FORUM (https://www.cbmstuff.com/forum)
+-- Forum: CBMSTUFF PRODUCTS (https://www.cbmstuff.com/forum/forumdisplay.php?fid=1)
+--- Forum: WiModem (https://www.cbmstuff.com/forum/forumdisplay.php?fid=75)
+--- Thread: Possible to downgrade firmware? (/showthread.php?tid=783)

Pages: 1 2 3


RE: Possible to downgrade firmware? - admin - 01-24-2021

Yeah, the problem was with v3.10 (which was only online for one day), v3.20, and v3.21. So, you must have had v3.06. When I check the auto-answer I always look for the 'RING' on the C64 and type ATA to answer it. I haven't check the ATS0=x method of auto-answer in a long time. I will add that to testing qualifications list.

I narrowed the problem down to a single library, but other libraries require the new version in order to compile, so I am not sure what I will do about this yet.


RE: Possible to downgrade firmware? - admin - 01-24-2021

Note, I have changed the method to go back to v3.06 using the AT*DOWNGRADE command (instead of the AT*BETA command), so please use that to go back to v3.06 until this gets fixed.


RE: Possible to downgrade firmware? - admin - 01-24-2021

Ok, I have figured out the library issue. I will be testing this quite a bit today before releasing the update.


RE: Possible to downgrade firmware? - Mr.Micro - 01-24-2021

(01-24-2021, 05:05 AM)admin Wrote: Ok, I have figured out the library issue.  I will be testing this quite a bit today before releasing the update.

Ok, that's great!! Hopefully it's a simple reprogram, but is it ever? lol

and for the records sake (and your diagnosis), I DEFINITELY had 3.20 prior to upgrading to 3.21. But downgrading back to 3.20 did not resolve the issue that was created.

Might be a moot point, but I just want your to have the facts for your diagnosis.

Thanks much for your efforts!

Best,
J


RE: Possible to downgrade firmware? - admin - 01-24-2021

I tested binaries of v3.10, v3.20, and v3.21 and they all have this same issue, which is the result of the updated ESP8266 libraries. I went back to v3.06 source code (which worked perfectly because it was compiled with the older libraries) and compiling it with the new libraries resulted in the same issue of hanging up immediately upon answering.

I have the fixed the issue, and I will be pushing out a new update today.


RE: Possible to downgrade firmware? - Mr.Micro - 01-24-2021

(01-24-2021, 01:27 PM)admin Wrote: I tested binaries of v3.10, v3.20, and v3.21 and they all have this same issue, which is the result of the updated ESP8266 libraries.  I went back to v3.06 source code (which worked perfectly because it was compiled with the older libraries) and compiling it with the new libraries resulted in the same issue of hanging up immediately upon answering.

I have the fixed the issue, and I will be pushing out a new update today.

glad it's resolved